Mailinglist Archive: opensuse-buildservice (262 mails)

< Previous Next >
Re: [opensuse-buildservice] server:php repository warning
  • From: Graham Anderson <graham.anderson@xxxxxxxxx>
  • Date: Thu, 20 Aug 2009 01:21:13 +0200
  • Message-id: <200908200121.13095.graham.anderson@xxxxxxxxx>
On Wednesday 19 August 2009 23:04:42 Cristian Rodríguez wrote:
Hi:

Recently we have switched server:php repositories to PHP 5.3.x , there
are a number of issues that you should be aware in case you are using them

- In some builds, mysql extensions are broken, this has been fixed in
the meanwhile.

- Initial testing results are far from promising... if you find any
problem please fill a bug report at bugzilla.novell.com

- There is an inconsistency between server:php and server:php:extensions
so packages may get uninstalled, or broken on upgrade, this is temporary.

Thanks for flying with openSUSE ;-)

I've also noticed that some (a lot) of php packages seem to be out of date or
dependant on PEAR.

It's easy to package a lib and offer it under PEAR but leave the initial
install package orphaned under the build service. Hence-forth the package gets
updated via PEAR and the initial introduction via the build service is
negated.

/careface, work the suse ethos or spread your cheeks for bad apples.

It's not bad that the php 5/6 build options are discussed, it's bad that
(important updates) are sidestepped by PEAR options.

If we are really going to fly with php 5.3/php 6, then we must neccesarily be
harsh about packages. Only maintained packages should be considered.

Yours aye,
Graham.

--
“Experience is the name everyone gives to their mistakes.”
☘ Oscar Wilde
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References